## FolksQuery

FolksQuery — A contact query.

## Types and Values

#define | FOLKS_TYPE_QUERY
struct | FolksQuery
struct | FolksQueryClass

## Description

If any properties of the query change such that matches may change, the "notify" signal will be emitted, potentially without a detail string. Views which are using this query should re-evaluate their matches on receiving this signal.

See also: FolksSearchView

## Functions

## Types and Values

### FOLKS_TYPE_QUERY

    #define FOLKS_TYPE_QUERY (folks_query_get_type ())

The type for FolksQuery.

### struct FolksQuery

    struct FolksQuery {
    	GObject parent_instance;
    	FolksQueryPrivate * priv;
    };

A contact query.

If any properties of the query change such that matches may change, the "notify" signal will be emitted, potentially without a detail string. Views which are using this query should re-evaluate their matches on receiving this signal.

See also: FolksSearchView

Since: 0.11.0

### struct FolksQueryClass

    struct FolksQueryClass {
    	GObjectClass parent_class;
    	guint (*is_match) (FolksQuery* self, FolksIndividual* individual);
    	gchar** (*get_match_fields) (FolksQuery* self, gint* result_length1);
    	void (*set_match_fields) (FolksQuery* self, gchar** value, gint value_length1);
    };

The class structure for `FOLKS_TYPE_QUERY`. All the fields in this structure are private and should never be accessed directly.

#### Members

`is_match` () | virtual method called by ``folks_query_is_match()`` |
`get_match_fields` () | getter method for the abstract property "match-fields" |
`set_match_fields` () |  |